netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
pack.h File Reference
`#include <db.h>`
`#include <atalk/cnid_bdb_private.h>`

Go to the source code of this file.

## Functions
unsigned char * | pack_cnid_data (struct cnid_dbd_rqst *)
int | didname (DB *dbp, const DBT *pkey, const DBT *pdata, DBT *skey)
int | devino (DB *dbp, const DBT *pkey, const DBT *pdata, DBT *skey)
int | idxname (DB *dbp, const DBT *pkey, const DBT *pdata, DBT *skey)
void | pack_setvol (const struct vol *vol)

## Function Documentation

## ◆ devino()

int devino | ( | DB * | dbp,
|  | const DBT * | pkey,
|  | const DBT * | pdata,
|  | DBT * | skey )

## ◆ didname()

int didname | ( | DB * | dbp,
|  | const DBT * | pkey,
|  | const DBT * | pdata,
|  | DBT * | skey )

## ◆ idxname()

int idxname | ( | DB * | dbp,
|  | const DBT * | pkey,
|  | const DBT * | pdata,
|  | DBT * | skey )

## ◆ pack_cnid_data()

unsigned char * pack_cnid_data | ( | struct cnid_dbd_rqst * | rqst | ) |

## ◆ pack_setvol()

void pack_setvol | ( | const struct vol * | vol | ) |